%define patch_name	kernel-fix-drivers-block

Name: %patch_name
Version: 2006.09.03
Release: alt1

Summary: %patch_name - Linux kernel block drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

# kernel 2.4 patches

%source  0	2.4_00_loop-fix.patch	2.4/00_not_kernel-fix-security-owl

# kernel 2.6 patches
%source 2604	2.6_04_cciss-use-after-free.patch			2.6
%source 2605	2.6_05_cciss-hpacucli-crash.patch			2.6
%source 2606	2.6_06_ub-oops-in-block_uevent.patch			2.6
%source 2607	2.6_07_block-limit-request_fn-recursion.patch		2.6
%source 2608	2.6_08_block-bounce-limit.patch				2.6

BuildRequires: kernel-build-tools

%description
Linux kernel block drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun Sep 03 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.09.03-alt1
- Added patches for 2.6.16:
  + 2.6_08_block-bounce-limit.patch: block: fix bounce limit address check
    (fixes some OOMs on 64-bit systems)

* Fri May 19 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.05.19-alt1
- Added patches for 2.6.16:
  + 2.6_06_ub-oops-in-block_uevent.patch: ub: fix oops in block_uevent()
  + 2.6_07_block-limit-request_fn-recursion.patch: block layer: limit
    request_fn recursion
- Removed obsolete patches for kernel 2.6.14:
  - 2.6_00_cfq-io-sched-fix.patch
  - 2.6_01_packet-writing-oops-fix.patch
  - 2.6_02_cciss-hpacucli-compat.patch
  - 2.6_03_cciss-big_pass_thru.patch

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.23-alt1
- Added patches for 2.6.16:
  + 2.6_05_cciss-hpacucli-crash.patch: cciss: fix crash when running hpacucli

* Sat Mar 25 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.25-alt1
- Updated for kernel 2.6.16.
- Marked old patches to be applied only to kernel 2.6.14:
  - 2.6_00_cfq-io-sched-fix.patch
  - 2.6_01_packet-writing-oops-fix.patch
  - 2.6_02_cciss-hpacucli-compat.patch
  - 2.6_03_cciss-big_pass_thru.patch
- Added:
  + 2.6_04_cciss-use-after-free.patch: cciss: fix use-after-free in
    cciss_init_one

* Sat Jan 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.01.07-alt1
- Added patches for 2.6.14:
  + 2.6_02_cciss-hpacucli-compat.patch: cciss: bug fix for hpacucli
  + 2.6_03_cciss-big_pass_thru.patch: cciss: bug fix for BIG_PASS_THRU

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.12.25-alt1
- Updated for kernel 2.4.32.
- Apply 2.4_00_loop-fix.patch only for kernels without kernel-fix-security-owl
  (the Openwall patch already includes a fix for this bug).

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.11.30-alt1
- Updated for kernel 2.6.14.
- Added:
  + 2.6_00_cfq-io-sched-fix.patch: fix oops on suspend after on-the-fly switch
    to anticipatory i/o scheduler
  + 2.6_01_packet-writing-oops-fix.patch: pktcdvd: fix possible oops in
    pkt_count_states() due to array overrun

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_044-elevator_noop_add_request.patch
  - 2.6_00_050-cfq_requeue_request_accounting.patch

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added 2.4_ and 2.6_ prefixes to the patch file names.
- Added patches from 2.6.10-as3:
  + 2.6_00_044-elevator_noop_add_request.patch
  + 2.6_00_050-cfq_requeue_request_accounting.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 01_cciss-2.4.52.patch

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Added:
  + 01_cciss-2.4.52.patch: add support for SA 6422 and SA V100 controllers

* Tue Dec 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.09-alt1
- Initial release
- 00_loop-fix.patch - fix losetup uninterruptible sleep if kernel_thread fails

